Package commoble.morered.wire_post

# Class BundledCableRelayPlateBlockEntity

java.lang.Object
net.neoforged.neoforge.attachment.AttachmentHolder
net.minecraft.world.level.block.entity.BlockEntity
commoble.morered.wire_post.WirePostBlockEntity
commoble.morered.wire_post.BundledCablePostBlockEntity
commoble.morered.wire_post.BundledCableRelayPlateBlockEntity

All Implemented Interfaces:
  `net.neoforged.neoforge.attachment.IAttachmentHolder`, `net.neoforged.neoforge.common.extensions.IBlockEntityExtension`

public class BundledCableRelayPlateBlockEntity extends BundledCablePostBlockEntity

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraft.world.level.block.entity.BlockEntity

`net.minecraft.world.level.block.entity.BlockEntity.DataComponentInput`

## Nested classes/interfaces inherited from class net.neoforged.neoforge.attachment.AttachmentHolder

`net.neoforged.neoforge.attachment.AttachmentHolder.AsField`

## Field Summary

### Fields inherited from class commoble.morered.wire_post.BundledCablePostBlockEntity

`power, POWER`

### Fields inherited from class commoble.morered.wire_post.WirePostBlockEntity

`BLOCKPOS_LISTER, CONNECTIONS, EMPTY_AABB`

### Fields inherited from class net.minecraft.world.level.block.entity.BlockEntity

`level, remove, worldPosition`

### Fields inherited from class net.neoforged.neoforge.attachment.AttachmentHolder

`ATTACHMENTS_NBT_KEY`

## Constructor Summary

Constructors
Constructor
Description
`BundledCableRelayPlateBlockEntity(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`
`BundledCableRelayPlateBlockEntity(net.minecraft.world.level.block.entity.BlockEntityType<? extends BundledCableRelayPlateBlockEntity> type, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`

## Method Summary

Modifier and Type
Method
Description
`ChanneledPowerSupplier`
`getChanneledPower(net.minecraft.core.Direction side)`
`int`
`getPowerOnChannel(net.minecraft.world.level.Level world, net.minecraft.core.BlockPos wirePos, net.minecraft.world.level.block.state.BlockState wireState, net.minecraft.core.Direction wireFace, int channel)`
`byte[]`
`getStrongestNeighborPower()`

### Methods inherited from class commoble.morered.wire_post.BundledCablePostBlockEntity

`getCablePost, getPower, readCommonData, saveAdditional, setPower, setPower, updatePower`

### Methods inherited from class commoble.morered.wire_post.WirePostBlockEntity

`addConnection, addConnection, arePostsConnected, clearRemoteConnections, denormalizePos, getAABBContainingAllBlockPos, getNestedBoundingBoxForConnectedPos, getRemoteConnectionBoxes, getRemoteConnections, getRenderBoundingBox, getUpdatePacket, getUpdateTag, hasRemoteConnection, loadAdditional, normalizePos, notifyConnections, onCommonDataUpdated, removeConnection, setConnectionsRaw`

### Methods inherited from class net.minecraft.world.level.block.entity.BlockEntity

`addEntityType, applyComponents, applyComponentsFromItemStack, applyImplicitComponents, clearRemoved, collectComponents, collectImplicitComponents, components, fillCrashReportCategory, getBlockPos, getBlockState, getLevel, getPersistentData, getPosFromTag, getType, hasLevel, isRemoved, isValidBlockState, loadCustomOnly, loadStatic, loadWithComponents, onlyOpCanSetNbt, parseCustomNameSafe, removeComponentsFromTag, removeData, saveCustomAndMetadata, saveCustomOnly, saveToItem, saveWithFullMetadata, saveWithId, saveWithoutMetadata, setBlockState, setChanged, setChanged, setComponents, setData, setLevel, setRemoved, triggerEvent`

### Methods inherited from class net.neoforged.neoforge.attachment.AttachmentHolder

`deserializeAttachments, getData, getExistingData, hasAttachments, hasData, serializeAttachments`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.neoforged.neoforge.attachment.IAttachmentHolder

`getData, getExistingData, hasData, removeData, setData`

### Methods inherited from interface net.neoforged.neoforge.common.extensions.IBlockEntityExtension

`getModelData, handleUpdateTag, hasCustomOutlineRendering, invalidateCapabilities, onChunkUnloaded, onDataPacket, onLoad, requestModelDataUpdate`

## Constructor Details

### BundledCableRelayPlateBlockEntity

public BundledCableRelayPlateBlockEntity(net.minecraft.world.level.block.entity.BlockEntityType<? extends BundledCableRelayPlateBlockEntity> type, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)

### BundledCableRelayPlateBlockEntity

public BundledCableRelayPlateBlockEntity(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)

## Method Details

### getPowerOnChannel

public int getPowerOnChannel(net.minecraft.world.level.Level world, net.minecraft.core.BlockPos wirePos, net.minecraft.world.level.block.state.BlockState wireState, net.minecraft.core.Direction wireFace, int channel)

### getChanneledPower

public ChanneledPowerSupplier getChanneledPower(net.minecraft.core.Direction side)

### getStrongestNeighborPower

public byte[] getStrongestNeighborPower()

Overrides:
  `getStrongestNeighborPower` in class `BundledCablePostBlockEntity`